Skip to main content
PATCH
/
v1
/
organization-access-tokens
/
{id}
Update
curl --request PATCH \
  --url https://api.spairehq.com/v1/organization-access-tokens/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "comment": "<string>",
  "scopes": []
}
'
{
  "created_at": "2023-11-07T05:31:56Z",
  "modified_at": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "scopes": [],
  "expires_at": "2023-11-07T05:31:56Z",
  "comment": "<string>",
  "last_used_at": "2023-11-07T05:31:56Z",
  "organization_id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.spairehq.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

You can generate a Personal Access Token from your settings.

Path Parameters

id
string<uuid4>
required

Body

application/json
comment
string | null
scopes
enum<string>[] | null
Available options:
openid,
profile,
email,
user:read,
user:write,
organizations:read,
organizations:write,
custom_fields:read,
custom_fields:write,
discounts:read,
discounts:write,
checkout_links:read,
checkout_links:write,
checkouts:read,
checkouts:write,
transactions:read,
transactions:write,
payouts:read,
payouts:write,
products:read,
products:write,
benefits:read,
benefits:write,
events:read,
events:write,
meters:read,
meters:write,
files:read,
files:write,
subscriptions:read,
subscriptions:write,
customers:read,
customers:write,
members:read,
members:write,
wallets:read,
wallets:write,
disputes:read,
customer_meters:read,
customer_sessions:write,
member_sessions:write,
customer_seats:read,
customer_seats:write,
orders:read,
orders:write,
client_invoices:read,
client_invoices:write,
refunds:read,
refunds:write,
payments:read,
email_subscribers:read,
email_subscribers:write,
email_broadcasts:read,
email_broadcasts:write,
metrics:read,
webhooks:read,
webhooks:write,
license_keys:read,
license_keys:write,
customer_portal:read,
customer_portal:write,
notifications:read,
notifications:write,
notification_recipients:read,
notification_recipients:write,
organization_access_tokens:read,
organization_access_tokens:write

Response

Successful Response

created_at
string<date-time>
required

Creation timestamp of the object.

modified_at
string<date-time> | null
required

Last modification timestamp of the object.

id
string<uuid4>
required
scopes
enum<string>[]
required
Available options:
openid,
profile,
email,
user:read,
user:write,
web:read,
web:write,
organizations:read,
organizations:write,
custom_fields:read,
custom_fields:write,
discounts:read,
discounts:write,
checkout_links:read,
checkout_links:write,
checkouts:read,
checkouts:write,
transactions:read,
transactions:write,
payouts:read,
payouts:write,
products:read,
products:write,
benefits:read,
benefits:write,
events:read,
events:write,
meters:read,
meters:write,
files:read,
files:write,
subscriptions:read,
subscriptions:write,
customers:read,
customers:write,
members:read,
members:write,
wallets:read,
wallets:write,
disputes:read,
customer_meters:read,
customer_sessions:write,
member_sessions:write,
customer_seats:read,
customer_seats:write,
orders:read,
orders:write,
client_invoices:read,
client_invoices:write,
refunds:read,
refunds:write,
payments:read,
email_subscribers:read,
email_subscribers:write,
email_broadcasts:read,
email_broadcasts:write,
metrics:read,
webhooks:read,
webhooks:write,
license_keys:read,
license_keys:write,
customer_portal:read,
customer_portal:write,
notifications:read,
notifications:write,
notification_recipients:read,
notification_recipients:write,
organization_access_tokens:read,
organization_access_tokens:write
expires_at
string<date-time> | null
required
comment
string
required
last_used_at
string<date-time> | null
required
organization_id
string<uuid4>
required

The organization ID.

Example:

"1dbfc517-0bbf-4301-9ba8-555ca42b9737"